/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package test.runtime;

import java.io.Serializable;

/**
 * @author Shen Li
 */
public abstract class FooImpl implements Bar, Foo, Serializable {
    public String foo() {
        return "FooImpl.foo()" + getArrow() +  bar();
    }

    public String anotherFoo() {
        return "FooImpl.anotherFoo()";
    }

    public abstract String getArrow();
}
